# MigrationSql

Generates SQL statements for your pending ActiveRecord database migrations. This is useful when you want to have DBA to run the migration BEFORE you deploy your latest code change.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'migration_sql'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install migration_sql

## Usage

This provides the following rake tasks:

| Rake Task            | Description                                                                                 |
| -------------------- | --------------------------------------------------------------------------------------------|
| db:migrate:to_sql    | Generate migration SQL (db/upgrade.sql) for pending migrations. It does NOT run migrations. |
| db:migrate:with_sql  | Run the pending migrations and generate SQL.                                                |
| db:rollback:to_sql   | Generate SQL to rollback last migration (db/rollback.sql).                                  |
| db:rollback:with_sql | Rollback last migration and generate SQL.                                                   |

The SQL files will be either db/upgrade.sql or db/rollback.sql.

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake rspec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/edmodo/migration_sql.


## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

